> ## Documentation Index
> Fetch the complete documentation index at: https://docs.telemetree.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Monthly Active Users Overview

> **Description:** Retrieves the monthly active users overview.

**Parameters:**
- `limit`: The number of items to return
- `offset`: The number of items to skip

**Header**
- `x-api-key`: Your API Key (Dashboard->Settings)

**Returns:**
- `AppMonthlyActiveUsersResponse`: The response containing the monthly active users.



## OpenAPI

````yaml https://ebn.telemetree.io/public-api/openapi.json get /monthly-active-users/growth-trend
openapi: 3.1.0
info:
  title: Telemetree API
  description: Telemetree Public API endpoints.
  termsOfService: https://docs.telemetree.io/essentials/terms-of-service
  contact:
    name: Chris
    url: https://t.me/telemetree_referral
    email: chris@telemetree.io
  version: 1.0.0
servers:
  - url: https://ebn.telemetree.io/public-api
security: []
paths:
  /monthly-active-users/growth-trend:
    get:
      tags:
        - Monthly Active Users API
      summary: Monthly Active Users Overview
      description: >-
        **Description:** Retrieves the monthly active users overview.


        **Parameters:**

        - `limit`: The number of items to return

        - `offset`: The number of items to skip


        **Header**

        - `x-api-key`: Your API Key (Dashboard->Settings)


        **Returns:**

        - `AppMonthlyActiveUsersResponse`: The response containing the monthly
        active users.
      operationId: monthly_active_users_overview_monthly_active_users_growth_trend_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 100
            title: Limit
          example: 100
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
          example: 0
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppMonthlyActiveUsersResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - api_key: []
components:
  schemas:
    AppMonthlyActiveUsersResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/AppMonthlyActiveUsersData'
          type: array
          title: Data
          description: List of bot active users data
          example:
            - avg_daily_users_gained: 865314.2333333333
              handle: hamster_kombat_bot
              link: https://t.me/hamster_kombat_bot
              month_ago_change: 36.087077012085494
              month_ago_users: 82146607
              name: Hamster Kombat
              profile_photo: ''
              today_users: 111790917
              week_ago_change: 5.024245802406793
              week_ago_users: 106442961
              yesterday_change: 0.2304114989940729
              yesterday_users: 111533930
        status_code:
          type: integer
          title: Status Code
          description: Status code
          example: 200
        message:
          type: string
          title: Message
          description: Message
          example: Success
      type: object
      required:
        - data
        - status_code
        - message
      title: AppMonthlyActiveUsersResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AppMonthlyActiveUsersData:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        handle:
          anyOf:
            - type: string
            - type: 'null'
          title: Handle
        link:
          anyOf:
            - type: string
            - type: 'null'
          title: Link
        profile_photo:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Photo
        today_users:
          type: integer
          title: Today Users
        yesterday_users:
          type: integer
          title: Yesterday Users
        yesterday_change:
          type: number
          title: Yesterday Change
        week_ago_users:
          type: integer
          title: Week Ago Users
        week_ago_change:
          type: number
          title: Week Ago Change
        month_ago_users:
          type: integer
          title: Month Ago Users
        month_ago_change:
          type: number
          title: Month Ago Change
        avg_daily_users_gained:
          type: number
          title: Avg Daily Users Gained
        ranking:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ranking
        ranking_24h_ago:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ranking 24H Ago
        ranking_7d_ago:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ranking 7D Ago
        ranking_30d_ago:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ranking 30D Ago
        stars:
          anyOf:
            - type: integer
            - type: 'null'
          title: Stars
          default: 0
        channel_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Channel Url
        participants_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Participants Count
      type: object
      required:
        - today_users
        - yesterday_users
        - yesterday_change
        - week_ago_users
        - week_ago_change
        - month_ago_users
        - month_ago_change
        - avg_daily_users_gained
      title: AppMonthlyActiveUsersData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    api_key:
      type: apiKey
      description: Your API Key (Dashboard->Settings)
      in: header
      name: x-api-key

````